/*
 * main.h
 *
 *  Created on: 12.08.2013
 *      Author: M
 */

#ifndef MAIN_H_
#define MAIN_H_

#include <MSP430G2553.h>

#include "timer.h"
#include "LCDdogm.h"
#include "myFunktions.h"

#define KeyPort		P1IN							//Port an dem die Taster hngen
#define	KeySetup	BIT1							//P1.1 - fhrt in Setup-Modus



extern volatile unsigned long int	tickzaehler;
extern enum Status { StandBy, Messung, Stopped } status;
extern enum KeyStatus { Reading, Debouncing } keyStatus;
extern enum Modus { Geschwindigkeit, Gewitter } modus;
extern enum DispMessung { Ja, Nein } dispMessung;

// Prototypes
void vInit_cpu(void);
void vDisplay_update(void);
void vCalculate(void);


#endif /* MAIN_H_ */
